import request from '@/utils/request'

/* 获取全部地址信息 */
export function getLocation() {
  return request({
    url: '/showAddresses',
    method: 'get'
  })
}

/* 添加地址信息 */
export function addLocation(data) {
  return request({
    url: '/insertOneAddress',
    method: 'post',
    data
  })
}

/* 删除地址信息 */
export function delLocation(params) {
  return request({
    url: '/delOneAddress',
    method: 'get',
    params
  })
}